@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.header-section {
  & {
    display: flex;
    flex-wrap: wrap;
    background: #fff;
    max-width: @container_width;
    width: 100%;
    margin: 0 auto 40px;
    padding: 0 20px;
    color: @primary_color;

    @media (max-width: @screen_tablet) {
      padding: 0 15px;
      margin-bottom: 0;
    }
  }

  .menu-list-section {
    .list > .item.-active {
      &:hover a:before {
        background-color: @second_color;
      }

      a:before {
        content: '';
        height: 20px;
        width: 2px;
        background-color: @primary_color;
        position: absolute;
        top: 100%;
      }
    }
  }

  .social-list-section {
    @media (max-width: @screen_tablet) {
      display: none;
    }
  }

  .header-menu.-active .menu-list {
    & {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      color: #fff;
      margin: 0;

      @media (max-width: @screen_tablet) {
       margin: 30px 0 0;
      }
    }

    & > .item {
      &:not(:last-child) {
        margin: 0;
      }

      &.-parent > a:after {
        content: none;
      }
    }
  }
}
